Subject: Re: mech-v2-05pre

From: Pekka Savola <[email-masked]>
Date: Wed, 25 Aug 2004 12:06:07 +0300 (EEST)

(you accidentally sent this to IPv6 WG list, I corrected the Cc:)

On Wed, 25 Aug 2004, Radhakrishnan Suryanarayanan wrote:
>  I need some clarification on this:
> 
>  3.2.  Tunnel MTU and Fragmentation
> 
>    Naively the encapsulator could view encapsulation as IPv6 using IPv4
>    as a link layer with a very large MTU (65535-20 bytes to be exact; 20
>    bytes "extra" are needed for the encapsulating IPv4 header
> 
> --> Why do we mention 65535-20 bytes "exact"? Isnt it syntactically wrong?
> i feel it can be rephrased as :
> "  as a link layer with a very large MTU (65535-20 bytes atmost; minimum of
> 20
>    bytes "extra" are needed for the encapsulating IPv4 header without
> options)

OK, I'll change "exact" to "at most".

> ----- Original Message ----- 
> From: "Pekka Savola" <[email-masked]>
> To: "Karen E. Nielsen (AH/TED)" <[email-masked]>
> Cc: "Alex Conta" <[email-masked]>; <[email-masked]>
> Sent: Wednesday, August 25, 2004 1:33 PM
> Subject: RE: mech-v2-05pre
> 
> 
> > On Wed, 25 Aug 2004, Karen E. Nielsen (AH/TED) wrote:
> > > Wrt the definition of the point-to-point link concept for IPv6  - then
> > > RFC 2461, Section 2.2,  states:
> > >
> > >   "point-to-point - a link that connects exactly two interfaces.  A
> > >                     point-to-point link is assumed to have multicast
> > >                     capability and have a link-local address."
> > >
> > > When using the term "point-to-point links" in section 3.8 of mech-v2,
> > > I have always assumed the above definition to be the one referred to - ?
> >
> > Yes, that's how sect 3.8 uses Neighbor Discovery. I don't see a
> > conflict.  The goal of that definition is to define point-to-point for
> > higher layers.  We want to give a clear statement on what the
> > point-to-point is from the perspective of the lower layers.
> >
> > The quote says p2p connects two interfaces.  That's OK, but that
> > refers (in this case) to the logical IPv6 tunnel interfaces, not the
> > physical underlying interfaces which are not necessarily even
> > IPv6-capable.
> >
> > What we want to say is that the v6 link is a virtual point-to-point as
> > defined in above, and the lower layer endpoints of that p2p link are
> > the v4 addresses which are configured on the endpoint nodes' physical
> > interfaces. [and specifically, the lower layer endpoints aren't just
> > any addresses on the endpoint nodes, rather the specific v4 addresses]
> >
> > But that seems way too confusing way to put it, so just saying
> > "virtual p2p between v4 addresses" seems shorter and sufficiently
> > clear.
> >
> > -- 
> > Pekka Savola                 "You each name yourselves king, yet the
> > Netcore Oy                    kingdom bleeds."
> > Systems. Networks. Security. -- George R.R. Martin: A Clash of Kings
> >
> >
> >
> 

-- 
Pekka Savola                 "You each name yourselves king, yet the
Netcore Oy                    kingdom bleeds."
Systems. Networks. Security. -- George R.R. Martin: A Clash of Kings